import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Toaster here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Toaster extends Things
{
    private static final double WALKING_SPEED = 1.5;
    ActualToast target;
    private boolean hasEaten = false;
    World welt = (Welt) getWorld();
    
    public Toaster(ActualToast attackedToast)
    {
        target = attackedToast;
    }
    
    public void act() 
    {        
                
        toastToast();
        move();
        turnToToast();
    }  
    
    public void toastToast()
    {        
        if(canSee(Toast.class))
        {
            eat(Toast.class);
            hasEaten = true;
            Greenfoot.stop();
        }
    }
    
    public void turnToToast()
    {
        turnTowards(target.getX() , target.getY());
    }
    
    public void move()
    {
        double angle = Math.toRadians( getRotation() );
        int x = (int) Math.round(getX() + Math.cos(angle) * WALKING_SPEED);
        int y = (int) Math.round(getY() + Math.sin(angle) * WALKING_SPEED);
        
        setLocation(x, y);
    }
}
