import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Target here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class ActualToast extends Things
{
    private static final double WALKING_SPEED = 4.0;
     boolean hold = false;
    int buttonsDown = 0;  
    final int btnNEITHER = 0, btnLEFT = 1, btnRIGHT = 3;    
    
    public void act() 
    {
        navigate();
        turnToMouse();
        MouseActions();                
    }
    
    
    public void MouseActions()
    {
        
        if(Greenfoot.getMouseInfo() != null)
        {
            
            if (Greenfoot.mousePressed(null))  
            {  
                MouseInfo mi = Greenfoot.getMouseInfo();  
                buttonsDown += mi.getButton();  
                if (buttonsDown == btnLEFT) hold = true;                                   
                //if (buttonsDown == btnRIGHT) System.out.println("Right button pressed");  
                //if (buttonsDown == btnLEFT + btnRIGHT) System.out.println("Both buttons pressed");  
            }  
            if (buttonsDown != btnNEITHER && Greenfoot.mouseClicked(null))   
            {  
                MouseInfo mi = Greenfoot.getMouseInfo();  
                int wasDown = buttonsDown;  
                buttonsDown -= mi.getButton();  
                int buttonReleased = wasDown - buttonsDown;  
                if (buttonReleased == btnLEFT) hold = false; 
                //if (buttonReleased == btnRIGHT) System.out.println("Right button released");  
                //if (buttonsDown == btnNEITHER) System.out.println("(all buttons released)");  
            }  
            
        }
    }
    
    
    public void move()
    {
        double angle = Math.toRadians( getRotation() );
        int x = (int) Math.round(getX() + Math.cos(angle) * WALKING_SPEED);
        int y = (int) Math.round(getY() + Math.sin(angle) * WALKING_SPEED);
        
        setLocation(x, y);
    }
    
    public void turnToMouse()
    {
        if(hold)
        {
            int x = Greenfoot.getMouseInfo().getX();
            int y = Greenfoot.getMouseInfo().getY();
                
            turnTowards(x , y );
        }
    }
    
    public void navigate()
    {
        if(Greenfoot.isKeyDown("left")) turn(-4);
        if(Greenfoot.isKeyDown("right")) turn(4);
        if(Greenfoot.isKeyDown("up")) move();
    }
}
